---
title: 企业架构框架
---

早上有朋友跟我说他们在实施华为的企业架构方法，我看这个方法来自我一直很推崇的华为的这本书。
其实华为企业架构理论都不是新概念。朋友公司学习的华为业务服务化设计方法，就是IBM在五十年前提出来的企业系统规划方法论——业务系统规划（BSP），一模一样的“V字模型”，思路基本一样，只是因为技术的变化有些术语的差别：50 年前叫“应用”（application）或“功能”（function），今天叫“服务”（service）或“产品”。

<!-- more -->

![图片](https://mmbiz.qpic.cn/mmbiz_jpg/f4M8ibz2jzMqUbRX11YBv9ib0uWz66027eph7sXFCueDswGFWZOd5hHZrYllv33r2gia5CvJJRiaIolrcH3YVPq6wg/640?wx_fmt=jpeg&wxfrom=5&wx_lazy=1&wx_co=1)

而在总体规划上，衔接战略和项目，华为使用了企业架构（Enterprise Architecture）作为方法论，实际上华为自己就是企业架构标准化组织TOGAF 的委员会成员，不过华为在宣传时没有用 TOGAF 名义，而是自己起了个名字，叫 4A 架构。

我想说的是企业管理不要去搞发明，无论是 IBM BSP，还是 TOGAF，都是几十年前就已经早好的轮子，华为实际上也是在应用。每种方法论都是有其应用环境的，华为实践只适用于华为自己，不是其他企业能够简单照搬；最关键的是企业在学习华为（或者任何“最佳实践”）时，不是学习表象，而是了解华为实践背后的基本原理。

实际上 BSP 和企业架构本身是个有争议的方法论，我特别翻译了一篇独立学者Svyatoslav Kotusev撰写的批评企业架构方法论的文章。特别说明：**我转发这篇文章并不代表我同意作者的观点，**只是想让大家看到任何商业性的“最佳实践”背后的潜在风险。实际上，Svyatoslav Kotusev 也并不是说“企业架构”不对，他自己本人就把自己定位于企业架构专家，而且就企业架构的话题著书立说，还讲课、咨询；他是批评现在已经有的一切成名的 EA框架。

这篇文章原发于“英国计算机协会”的网站，链接是：

https://www.bcs.org/articles-opinion-and-research/enterprise-architecture-frameworks-the-fad-of-the-century/

---

**企业架构框架：世纪忽悠**

Enterprise Architecture Frameworks: The Fad of the Century

2016 年 7 月 28 日

Svyatoslav Kotusev

企业架构(EA)作为一种工具被广泛使用，用于改善全球各种组织中的业务和IT一致性。然而，正如我之前报道的那样，成功的实际EA实践与流行的EA框架没有任何关系。此外，在成功实践EA的实际组织中，既没有找到最广泛讨论的EA框架所提倡的具体细节，甚至也没有找到 符合 EA 总体概念的想法。

为什么最广泛认可的EA框架与EA的概念密不可分，却与真正的EA实践毫无关系呢?这一切意味着什么?我对EA文献的广泛历史分析表明，所有流行的EA框架，包括Zachman、TOGAF和FEAF，只不过是由咨询公司和大师积极推动的典型管理忽悠。它们往好里说是无用的，往坏里说是有害的。

**EA框架的历史**

许多人都认为EA是在1987年Zachman框架发表之后才出现的一门学科。然而，基于证据的历史回顾表明，EA的思想出现得更早，并且起源于IBM在20世纪60年代发起的业务系统规划(BSP)方法。BSP方法为所有当前的EA方法和框架提供了最初的基础:信息系统体系结构的概念、自顶向下的体系结构规划方法、正式的按步骤的架构规划流程，以及用于描述架构的各种图表和模型。

随后的漫长的EA历史可以大致分为三个不同的时期:前EA (BSP)，早期EA和现代EA。

EA历史中的前EA时期大约持续于20世纪60年代至80年代。EA之前的方法包括IBM提供的开创性的BSP方法，安达信咨询（埃森哲前身）提供的类似的Method/1方法，以及其他咨询公司和大师提供的类似BSP的方法。

EA的早期阶段持续于20世纪80年代至90年代。在此期间:

·第一个EA框架出现了，包括1986年的PRISM框架(由IBM和其他公司赞助)，1987年的Zachman框架和1989年的NIST EA模型。

·术语“企业架构”开始被持续性地使用。

·新一代的EA方法论出现了，包括Steven Spewak的企业架构规划(EAP，它“起源于IBM的BSP)和TAFIM。

现代EA时期始于20世纪90年代，并引入了当前的EA框架，包括FEAF(基于EAP)和TOGAF(基于TAFIM)。所有这三代EA方法本质上都是基于BSP方法的开创性思想，并提倡非常类似的基于架构、按步骤的正式信息系统规划方法。

**EA框架的问题**

研究显示，在EA的漫长历史中不断证明，所有三代EA方法的实际实现都存在着重大问题。例如，对于第一阶段的前EA(类似bsp)时代的规划方法，发现

·规划是非常昂贵和耗时的。

·规划很难理解，非常抽象，需要进一步分析才能实施。

·规划在组织上难以实施；计划只能部分实施，甚至被搁置。

第二阶段的“早期EA”的实践经验表明

·EA开发工作需要大量的时间、金钱和人员。

·EA文档过于概念化、不灵活、难以理解和过时，因此不太有用。

·EA相关的活动没有很好地集成到组织运行中；EA遵从通常无法实现。

第三阶段的“现代EA”主要问题包括

·开发和维护EA文档需要大量的工作和资源。

·EA的文件质量很低，不详细，过于复杂，而且经常过时。

·EA相关的活动发生在“象牙塔”中，EA文档被忽略了。因此，研究表明，所有三代EA方法都需要付出洪荒之力来产出一大堆没用的文档，这些文档通常被忽略或搁置，EA 做了个寂寞。

不出所料，在EA的漫长历史中，许多学术论文作者认为推荐的前EA和EA方法是无效的。例如，Goodhue 等人得出结论，“这种方法太昂贵，其收益太不确定，并且在组织上难以实施”。Lederer和Sethi得出结论，“考虑到他们巨大的费用和时间消耗，(…)研究结果严重挑战了[类似bsp的]规划方法的实用性”。

“总之，信息系统战略规划者对(类似bsp的方法)不是特别满意。毕竟，这需要大量的资源……当(类似bsp的)研究完成后，在执行计划之前可能需要进一步的分析。计划的执行可能不会很广泛。” Kemp和McManus 持怀疑态度，他们认为EA战略是不切实际的，无法实现的，即使它可以实现，也是不可持续的。

Holst和Steensen得出结论:“基于大部分现有且普遍接受的机制而搞出来的EA文献，很难创造出成功的EA。”Bloomberg认为，“EA取得的成功令人惊讶地微不足道”。

更重要的是，许多作者一致认为，所有三代EA方法的问题本质上都是根本性的。例如，在“前EA”的时期，Goodhue 等人得出结论，“现有证据(…)强烈支持对IS规划方法进行根本性反思的必要性”。在“早期EA”阶段，Hamilton得出结论，“研究结果强烈表明，在项目及系统组合层面上，架构驱动规划的指定性方法，从根本上是有缺陷的”。在“现代EA”时期，Gaver12总结道:“EA通常在任何地方都不能很好地工作，因为企业架构在本质上是存在问题的”。

综上所述，上述证据清楚地表明，所有三代EA方法:

·推荐采用实质上相同的、正式的、分步骤的、基于架构的规划方法。

·遭受同样的实践问题

·事实证明这些方法落不了地，而且从根本上有缺陷。

这些结论揭示了流行EA框架的欺骗性故事:

·所有流行的EA框架都基于50年前的BSP方法。

·从BSP开始到TOGAF结束的前EA和EA方法论，整个方法论家族从根本上是有缺陷的。

·尽管它们被证明是不实用的，但所有三代EA方法都被各种顾问和大师成功地推广并作为“最佳实践”出售。

·咨询顾问们没有从上一代的失败中吸取教训，也没有改进方法，而是把同样的“旧酒装进新瓶子里”重新包装和转手兜售。

·TOGAF相对于BSP的唯一基本“改进”是新的修辞技巧，强调在应用方法之前需要“适应”它，这实际上意味着“做其他事情”，正如我之前讨论过的。

因此，尽管有大量的负面反馈，但在近半个世纪的时间里，许多咨询公司和专家一直在以不同的名义出售同样有缺陷的前EA和EA方法，并将其作为“最佳实践”，通过大量的营销努力和简单的修辞技巧来赚钱。此外，由于积极的推广，EA 名词目前与EA框架密切相关。然而，正如上面提供的分析清楚地表明的那样，所有流行的EA框架及其概念性的前身都是明显的营销驱动的管理学忽悠，没有成功实施的示范例子。

尽管许多营销白皮书始终将EA框架定位为“最佳实践”，但基于证据的研究却始终显示出相反的结论。除了建议开发和使用一些EA文档外，EA框架本质上没有内在价值。从这个角度来看，最“权威”的EA框架，包括Zachman、TOGAF和FEAF，是如何与我之前报道过的成功EA实践无关的，就变得非常清楚了。

**EA框架的危害**

坚持推广无效的“最佳实践”，对组织和社会很难说是无害的。可能证明EA框架应用最引人注目的例子是联邦企业架构(FEA)项目的失败。1996年克林格-科恩法案（Clinger-Cohen）颁布后，FEA项目于1999年启动，该法案要求美国联邦政府为所有机构开发一致的架构，以改进信息系统的使用。联邦企业架构框架(FEAF)被开发为FEA计划的指导性EA框架。

从一开始，所有知名的EA专家和顾问都积极参与到FEA项目中。例如，John Zachman和Steven Spewak作为“架构概念化和企业架构规划领域公认的两位领导者”参与了FEAF的开发。对于联邦调查局(FBI)，“安达信咨询的顾问建议该局开发一个全面的EA，以帮助减少孤立的、互不集成的应用程序的蔓延扩张”。

IBM也作为开发EA的承包商参与其中，例如，在国防部(DoD)。IBM与国防部的合同尤其有利可图:“为了开发该体系结构，国防部于2002年4月与国际商业机器公司(IBM)签订了一份为期5年、价值9500万美元的合同。2004年，国防部将合同金额增加到2.5亿美元。截至2004年9月，国防部报告称，它已为该项目承担了大约3.18亿美元的义务，主要用于承包商支持。因此，前面提到的最突出的前EA和EA方法的所有作者都大量参与了FEA方案的规划和实施。

FEA 项目很难说是特别成功的。根据FEA评估框架，FEA项目的成熟度评估一致表明，绝大多数联邦机构的成熟度没有高于阶段2(“建立EA管理基础”)，而只有极少数机构成熟到阶段4(“完成EA”)，几乎没有机构成熟到阶段5(“利用EA来管理变革”)。2002年提交给美国国会的关于FEA项目现状的官方报告得出结论:“目前联邦政府对EA的使用情况好坏参半，但总体而言，它还不够成熟，无法支持充分知情的IT投资决策”。

在2003年，类似的报告得出结论，“联邦政府的 EA管理状态仍然不太令人满意，在过去两年中几乎没有取得任何进展”。最终，FEA项目基本上失败了。“大多数部门和机构报告说，他们希望在未来的某个时候从各自的 EA项目中获益。这表明，开发和使用 EA对联邦政府的真正价值在很大程度上仍未实现”。

克林格-科恩法案的主要作者之一Paul Brubaker评论道:“看看所有在架构理念下发起的努力，以及在这个保护伞下花费的所有资金，这些都导致了无法使用的摆在书架上的花架子软件。” 这也难怪美国联邦政府 CIO Vivek Kundra批评EA框架“比无用还要糟糕”，“(企业架构师)专注于记录当前状态或未来状态应该是什么。当他们完成了他们的架构工件时，一项新技术已经杀死了他们正在做的任何事情。”

FEA项目并不便宜。例如，据报道，2003年“迄今为止在架构开发上花费了5.99亿美元”。2006年，“各部门和机构报告说，到目前为止，他们在企业架构开发上总共投资了8.36亿美元”。到2010年底，“联邦政府在企业架构上花费的资金已经超过10亿美元，其中大部分(如果不是大部分的话)都被浪费了”。然而，政府的浪费却是承包商的利润。“各机构报告大量使用承包商支持开发各自的架构”，“(花费的资金中)1.889亿美元进了承包商的腰包”。

后一份报告总结说，“各部门和机构分摊的与承建商有关的费用为6.21亿元，而架构开发活动占大部分费用，约为5.94亿元”。因此，虽然美国联邦政府浪费了大量纳税人的钱，但各种咨询公司和专家们仅仅创造了大量的EA文件，而不是提供任何切实的结果，从而获得了巨大的利润。“我不断催促(项目负责人)，‘我们得到了什么，我们得到了什么，我们得到了什么?’”Vivek Kundra解释道:“最终它变成了这本书。”

在所有的美国联邦政府机构中，国防部提供了在EA上投入时间和金钱的最引人注目的例子，但却得到了同样令人不满意的结果:“经过三年的努力和花费超过2.03亿美元，国防部的架构仍然没有充分定义，而且该部门做出业务系统投资决策的方式基本上没有改变”，“尽管花费了近四年时间和大约3.18亿美元，国防部没有一个有效的架构规划”， “尽管国防部在其业务 EA上花费了10多年时间和至少3.79亿美元，它仍然没有能力使用架构来指导和约束IT投资”。

2015年有报告称，“架构在限制系统投资或使国防部为决策目的提供可靠和及时的信息方面无效”，“该架构产生的价值有限”，“架构在实现其预期结果方面通常无效，其在实现经济收益方面的用处有限，例如减少应用程序的数量”。“业务 EA未能有效地满足其预期结果”，“国防部业务 EA在实现各种潜在利益方面的有用性是有限的”，以及“架构不能使国防部为决策目的提供可靠和及时的信息”。在国防部EA的具体问题中，提到了以下两个问题：

·“对架构的审查是一边倒性的，并且没有与全年其余时间内发生的其他活动相结合。”

·架构是一项独立的工作，不会通过各种国防部部门来推动全面的系统组合和业务的管理。

因此，2015年国防部的经验完全支持所有在20世纪80年代末最初报告的研究结果，然后，所有后续研究都一致支持前EA和EA方法是不切实际的，因为它们需要不合理的努力来产生一大堆没用的文档，而这些文档通常以束之高阁告终。由于FEAF最初是基于与之前所有有缺陷的前EA和EA方法相同的想法，因此它自然也被证明是不成功的。

正如阿尔伯特·爱因斯坦的名言:“疯狂就是做同样的事情，却期待不同的结果。”那些推崇50年前毁掉FEA项目的观点的人疯了吗?绝对不是。各种各样的顾问和大师都在出售任何可以能卖出去的东西来赚钱，而不管它是否有效。例如，EA 之父John Zachman，他在IBM长达26年的营销生涯中曾推广过有缺陷的BSP方法，最近他收购了联邦企业架构认证(FEAC)机构，现在正在积极销售FEAF的认证和培训，EA框架却要为投资到FEA项目中、浪费了纳税人10亿美元负主要责任。

FEAC机构成员们仍然推广同样的EA框架的认证项目，这些框架代表着有缺陷的“最佳实践”。这里的疯狂之处在于，EA社区通常仍然不承认EA框架是另一种管理忽悠，许多EA从业者仍然渴望获得这些EA框架中的某些认证。几十年来，顾问们能够以“最佳实践”的名义出售同样的最糟糕的实践，即使真实的信息是公开的，这清楚地表明了无休止的营销承诺的无限力量，和基于证据的常识的完全无能。这种情况生动地说明了另一句臭名昭著的谚语:“谎言重复一千遍就成了真理”。

综上所述，上述证据清楚地表明:

·FEAF基于EAP (EAP基于BSP)，因此代表了第三代EA方法。

·整个EA方法家族被证明是不切实际的，不出所料，基于FEAF的FEA项目也失败了。

·FEAF的问题与整个EA方法家族的众所周知的问题相同，包括高成本、不可用的文档和规划活动的闭门造车。

这些结论揭示了FEA项目的可怕故事:

1. ```
   FEA项目本质上是由EA顾问和大师启发、计划和实施的，他们推动了广受关注的EA和EA方法，包括IBM (BSP的作者)、安达信咨询(Method/1的作者)、John Zachman (EA之父)和Steven Spewak (EAP的作者)。
   ```
2. ```
   正是这些EA顾问和大师启发了FEA，随后他们作为这个失败项目的承包商赚了6亿多美元。
   ```
3. ```
   前EA (类BSP)方法的无效性在20世纪80年代末已经得到了实证证明，即在 FEA项目开始前10年，即FEA从一开始就注定要失败，它的失败早在项目开始前就被研究预测到了。
   ```
4. ```
   研究人员在25年前报告的同样问题，现在在提交给美国国会的官方报告中重复出现，因为EA总共浪费了10亿美元的投资。
   ```
5. ```
   尽管存在这么多争议，结果却是EA原则中没有任何内容发生改变；EA社区没有从FEA的失败中吸取教训，同样的大师们继续将同样有缺陷的EA方法作为“最佳实践”来推广。
   ```
6. ```
   关于EA框架失败的公开信息通常被忽略，而EA认证专家的数量却在不断增长。
   ```

当相同的有缺陷的EA方法在几十年里以不同的名义不断推广为“最佳实践”时，尽管有大量的经验证据反对它们，因此，整个EA方法三代史就是个公然的骗局和明显的营销操纵的历史。EA框架的历史提供了一个令人震惊的例子，不负责任的销售行为对每个人都有害，除了销售人员(可能安达信在安然丑闻后解散是一个公平的补偿)。如果单是FEA项目就浪费了超过10亿美元，那么为了实现EA框架中描述的“最佳实践”，全世界总共浪费了多少钱?这个问题的答案是未知的，但一定是令人印象深刻的。

**这对EA 原则意味着什么?**

本文中讨论的证据清楚地表明，从BSP到TOGAF的整个前EA和EA方法家族从根本上是有缺陷的。这对EA原则意味着什么?这是否意味着EA不起作用?一点也不，它只意味着EA框架不起作用，并且成功的EA实践与我之前报道的EA框架无关。

这个结论并不新鲜。例如，1993年的Periasamy报告说，BSP引入的架构概念被认为是有用的，但与BSP的原始处方有很大的偏差。Ross等人在2006年报告说，业务导向的架构非常有用，而由前EA和EA方法推荐的详细技术架构“也就比门挡有用点儿”。Holst和Steensen在2011年报告说，成功的EA实践是有机的，不像EA框架所代表的机械思想。

John Zachman曾说过，EA是一个世纪问题。考虑到在尝试实现EA框架时浪费的金钱总数，公平地说，虽然EA可能仍然是世纪问题，但EA框架(包括Zachman框架)可能只是“世纪忽悠”——可能是管理忽悠历史上最有害的忽悠，“高管可卡因”。因此，我认为EA社区应该承认，整个EA框架家族与成功的EA实践没有关系，只是一种有害的管理忽悠。

